Subject: RE: Mixed case filenames patch for ntfs
From: [email-masked] (Dave Miller)

22 Mar 1998 21:13:32 -0800
Message-ID: <002e01bd5333$cd2edd40$0100a8c0.cygnus.gnu-win32@davemill>
Mime-Version: 1.0
Content-Type: text/plain;
	charset="iso-8859-1"
Content-Transfer-Encoding: 7bit
To: <[email-masked]>

Sergey Okhapkin wrote:
> Fergus Henderson wrote:
> > On 10-Mar-1998, [email-masked]  wrote:
> > >
> > >    I've been working on a way to allow mixed-case filenames.  So far,
> > > I've come up with using FILE_FLAG_POSIX_SEMANTICS.
> > ..
> > > Ive added an option to the CYGWIN32 env. var. to control the
> > > behavior, CYGWIN32=[no]mixed, and it defaults to nomixed.
> >
> > Your diff looks great.  I hope the cygwin maintainers include this patch
> > in the next release.
> >
>
> The diff is dangerous :-( How to remove a file case-sensitively?

How about replacing DeleteFile() with CreateFile(...
FILE_FLAG_DELETE_ON_CLOSE ...)/CloseHandle()?  (haven't tried it, just
thinking aloud)

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".